Bigtop
  1. Bigtop
  2. BIGTOP-644

fix the runlevels for a few packages in yum/apt/zypper

    Details

    • Type: Bug Bug
    • Status: Open
    • Priority: Major Major
    • Resolution: Unresolved
    • Affects Version/s: 0.4.0
    • Fix Version/s: None
    • Component/s: Init scripts, RPM
    • Labels:
      None

      Description

      run the package test TestPackagesPseudoDistributed in centos5_x64, found out below packages' runlevel code is incorrect (should be 3,4, 5, but it is 2,3,4,5)
      [sqoop-metastore]
      [oozie]
      [hbase-master]
      [hbase-regionserver]
      [hbase-thrift]
      [hbase-rest]

      testPackageServices[sqoop-metastore](org.apache.bigtop.itest.packagesmoke.TestPackagesPseudoDistributed)  Time elapsed: 16.731 sec  <<< FAILURE!
      java.lang.AssertionError: wrong list of runlevels for service sqoop-metastore
      Expected: <[3=3, 5=5, 4=4, ]>
           got: <{2=2, 3=3, 4=4, 5=5}>
      

        Activity

          People

          • Assignee:
            Roman Shaposhnik
            Reporter:
            Johnny Zhang
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:

              Development